divert(-1)
define(`el_titulo', `Meta-makes: Imake y Autoconf')dnl
define(`m4_prev',5)dnl
define(`m4_next',7)dnl
include(`cabe.m4')dnl
<!-- $Id: 1.m4,v 1.1 1998/10/31 17:41:00 luis Exp $ -->

m4_h1(Introduccin)

<p>Las herramientas que llamaremos m4_color(red, metamakes) son un conjunto de
utilidades que permiten acoplar el fuente de un programa para permitir la
compilacin correcta, soportando las idiosincrasias del sistema operativo
en el que construiremos el programa.

<p>Es un hecho que, incluso tratndose del mismo sistema operativo, la
configuracin de ste no tiene por qu ser igual de una mquina a otra
(pinsese, por ejemplo en el caso actual de Linux, donde es facil ver
sistemas con versiones del kernel 2.0.x y 2.2.x, adems de haber sistemas
que an emplean la librera m4_color(blue, libc5), mientras que otros usan
m4_color(blue, glibc2))

<p>Bien, para resolver todas las pegas que nos podamos encontrar cuando
compilemos nuestros programas en los entornos a los que van destinados,
existen una serie de utilidades que permiten averiguar cosas sobre el
sistema operativo objetivo y configurar los fuentes para que soporten
unas u otras caractersticas.  Aqu discutiremos dos:

<UL>
  <li>m4_color(red, m4_tt(Imake(1))).  Se trata de una utilidad empleada
    en entornos XWindow, que permite generar el Makefile adecuado, en
	funcin de caractersticas almacenadas en un directorio del sistema.
  <li>m4_color(red, m4_tt(Autoconf(1))).  Se trata de la herramienta por
    excelencia dentro de entornos de programacin GNU.  Esta herramienta
	tiene un caracter mas dinmico, ya que permite pasar tests que nos
	permitan averiguar si tal o cual caracterstica se da en un sistema
	operativo.  A diferencia de Imake, las caractersticas del sistema
	operativo no tienen por qu registrarse en un directorio del sistema,
	y por tanto es mas dinmico e independiente de la arquitectura final.
</ul>

Aunque describiremos los dos sistemas por encima, haremos mas incapi en el
segundo, al tener mayor impacto dentro del entorno del software libre
m4_notapie(
`Ni que decir tiene que el segundo ofrece mucha mas flexibilidad y est menos
sujeto a errores.  La forma de construir el script
m4_color(blue, m4_tt(configure))  de la segunda utilidad se basa en pruebas
realizadas al sistema en el momento de configurar, mientras que el primero se
basa en informacin (posiblemente inexacta o incorrecta) almacenada en
ficheros del sistema.')

<!-- $Id: 1.m4,v 1.1 1998/10/31 17:41:00 luis Exp $ -->
