divert(-1)
define(`el_titulo', `Autoconf')dnl
define(`m4_prev',7)dnl
define(`m4_next',9)dnl
include(`cabe.m4')dnl
<!-- $Id: 1.m4,v 1.1 1998/10/31 17:41:00 luis Exp $ -->

m4_h1(Autoconf)

<p>Autoconf es una coleccin de utilidades para realizar los ajustes de
configuracin necesarios para poder compilar el programa en un entorno
cuyas caractersticas no se conocen completamente a priori.

<p>A diferencia del programa anterior, no es necesaria la instalacin de
ningn paquete o libreras para poder configurar un programa, ya que toda
la informacin necesaria para determinar la configuracin ptima se
incluye en un shell script (m4_color(blue, m4_tt(configure))) que se encarga
de hacer todas las pruebas y tests para determinar que parmetros hay que
incluir y que valores deben tener.

<p>Bsicamente, la posicin de partida es la siguiente:  Obtenemos, mediante
la utilidad m4_color(red, m4_tt(autoscan)), un fichero m4_color(blue,
m4_tt(configure.in))`'m4_notapie(
`Realmente, el fichero generado se llama m4_color(blue, m4_tt(configure.scan)),
y es tras una labor de edicin del mismo, que obtenemos el fichero 
m4_color(blue,m4_tt(configure.in)), ya que m4_color(red, m4_tt(autoscan)) no
es capaz, por si solo de detectar todas las caractersticas configurables del
programa') inicial, generado a partir de los fuentes del programa:

<p><img src="autoscan.1.gif">

<p>El fichero m4_color(blue, m4_tt(configure.in)) contiene una serie de
referencias a macros de m4_color(red, m4_tt(m4(1))), que permiten la
construccin del que ser el fichero m4_color(red, m4_tt(configure)), de
acuerdo al siguiente esquema:

<p><img src="autoconf.1.gif">

<p>Estas macros permiten decidir que tests deber hacer la utilidad configure,
que ficheros debern ser editados, para ajustar las opciones y que opciones
son las que determinan la configuracin de una determinada opcin:

<p><img src="configure.1.gif">



<!-- $Id: 1.m4,v 1.1 1998/10/31 17:41:00 luis Exp $ -->
