divert(-1)
define(`el_titulo', `Make, Imake y Autoconf')dnl
define(`m4_prev',3)dnl
define(`m4_next',5)dnl
include(`cabe.m4')dnl
<!-- $Id: 1.m4,v 1.1 1998/10/31 17:41:00 luis Exp $ -->

m4_h1(Make)

<p>En un proyecto complejo, podemos llegar a tener varios fuentes, incluso
un montn de ellos, y puede llegar a hacerse bastante tediosa la tarea de
la compilacin, pudiendo tener una situacin como la de la figura:

<p><IMG SRC="make.1.gif">

<p>En la situacin descrita en la figura, realmente se puede apreciar que
no tiene sentido compilar el modulo 3, en fortran, si se ha modificado
solamente el modulo 1, escrito en C.

<p>Se puede apreciar rapidamente la existencia de una serie de dependencias
entre los fuentes de un proyecto y los objetos y programas resultantes.

<p>De este modo, en el ejemplo anterior, podemos ver que modulo1.o depende
de modulo1.c`'m4_notapie(`En realidad, puede haber mas dependencias ocultas en
este ejemplo, porque el fichero m4_color(blue,m4_tt(modulo1.c)) puede realmente
incluir (a travs de una directiva m4_tt(`#'include)) uno o varios ficheros
de cabecera, haciendo que la dependencia de m4_color(blue,m4_tt(modulo1.o)) no
lo sea solamente de m4_color(blue,m4_tt(modulo1.c)), sino tambin de los
ficheros de cabecera incluidos por ste.'), y que m4_color(blue,m4_tt(ejecutable))
lo hace, a su vez, de los tres ficheros m4_tt(.o).

<p>Pues bien, sera interesante poder disponer de una utilidad que permita la
especificacin de las dependencias de unos ficheros a otros y la forma de
obtener aquellos.  De hecho, si hacemos explcita la forma de hacer depender
los ficheros entre s (especificamos como se obtiene un fichero a partir de
los que lo producen) realmente no tendremos ninguna dependencia del entorno
de trabajo (no tenemos por qu ceirnos a entornos de desarrollo de software) y
podremos atajar cualquier proyecto con la utilidad m4_color(red, m4_tt(make(1))).
m4_notapie(`De hecho, el cdigo HTML de esta presentacin est realizado con
ficheros fuente para m4_color(red, m4_tt(m4(1))), y una serie de macros
desarrolladas por el autor para conseguir efectos de presentacin')

<p>La especificacin m4_color(red, m4_tt(make(1))) para conseguir el efecto
deseado, la incluiremos en un fichero llamado m4_color(red, m4_tt(Makefile)) y
tendr una forma como la siguiente:

m4_code(makefile.1)


<!-- $Id: 1.m4,v 1.1 1998/10/31 17:41:00 luis Exp $ -->
