divert(-1)
define(`el_titulo', `Control de revisiones: Ejemplo')dnl
define(`m4_top',1)dnl
define(`m4_prev',1)dnl
define(`m4_next',2)dnl
include(`cabe.m4')dnl
<!-- $Id: 1.m4,v 1.1 1998/10/31 17:41:00 luis Exp $ -->
m4_h1(Archivado de varias versiones de un mismo fichero fuente)

<p>Una sesin tpica con m4_color(red, RCS) se desarrolla del siguiente modo:

<p>Supongamos que tenemos el siguiente cdigo C:

m4_code(main.c.1)

<p>En l, podemos ver una serie de etiquetas especiales, creadas por el
programador, que nos permitirn identificar el programa y la versin del
mismo.  Estas son:

<UL>
  <LI>m4_color(red,m4_tt($`'Id`'$)) Esta etiqueta nos da una lnea completa con
    informacin del fichero fuente, versin y fecha de generacin de la
	misma.
  <LI>m4_color(red,m4_tt($`'Log`'$))  Esta etiqueta nos da una lnea completa
    con informacin de los cambios introducidos en cada versin, desde que
	se gener la primera (o desde la primera versin en la que aparece esta
	lnea)
</ul>

<p>Para introducir el fichero en el sistema RCS, bastar ejecutar:
<PRE>

$ ci main.c

</PRE>

Lo que generar un fichero, llamado m4_tt(main.c,v).  Este fichero
guardar todas las versiones de m4_tt(main.c).  Ahora podemos borrar
tranqulamente el fichero m4_tt(main.c), ya que podremos recuperar la
ltima versin, simplemente tecleando:
<PRE>

$ co main.c

</PRE>

Lo que generar un fichero como el siguiente:

m4_code(main.c.2)

<p>En l vemos que las etiquetas que pusimos se han sustituido por valores
adecuados a las versiones creadas (la primera versin que tenemos)

<p>Pero es mas, podramos definir en el cdigo fuente C, una variable
m4_tt(static char *) que nos permita identificar el cdigo empleado por el
programa del siguiente modo:  Primero, generamos una segunda versin del
programa, obteniendo una copia para edicin:
<PRE>

$ co -l main.c

</PRE>
Esta copia, a diferencia de la anterior, se puede editar (en la anterior no
tenamos permiso de escritura) y podemos hacer algunos cambios.  El fuente
quedar como sigue:

m4_code(main.c.3)

<p>Tras la ejecucin del siguiente cdigo:
<PRE>

$ ci main.c
main.c,v  <--  main.c
new revision: 1.2; previous revision: 1.1
enter log message, terminated with single '.' or end of file:
&gt;&gt; Introduccin de la cadena de Identificacin de fuente en el cdigo objeto.
&gt;&gt; .
done
$ co main.c

</pre>

El programa quedar:m4_notapie(
`Seguramente, alguien estar preguntandose por qu aadimos un salto de lnea
antes y despus del identificador RCS?  La razn es simple: Si finalmente,
con el ejecutable hacemos un m4_tt(grep _rq\$Id:_rq a.out), obtendremos un listado
de todos los mdulos donde hemos incluido cadenas de este tipo, y podremos
saber la versin de cada fuente incluido en el ejecutable.
<PRE>

$ cc main.c
$ grep _rq\$Id:_rq a.out
$Id: main.c,v 1.2 1999/07/20 22:05:49 luis Exp $
$ _

</PRE>')

m4_code(main.c.4)

<p>Para terminar, diremos que la informacin aqu mostrada constituye solamente
una introduccin, remitiendo a los lectores a visitar las pginas del manual
correspondientes a RCS:

<UL>
  <li>m4_tt(rcsintro(1))
  <li>m4_tt(co(1))
  <li>m4_tt(ci(1))
  <li>m4_tt(ident(1))
  <li>m4_tt(rcsclean(1))
  <li>m4_tt(rcsdiff(1))
  <li>m4_tt(rcsmerge(1))
  <li>m4_tt(rlog(1))
  <li>m4_tt(rcsfile(5))
  <li>Walter F.Tichy,<br>RCS: A System for Version Control,<br>
    Software Practice & Experience 15,7 (July 1985), 637-654.
</ul>

<!-- $Id: 1.m4,v 1.1 1998/10/31 17:41:00 luis Exp $ -->
